{
	"info": {
		"_postman_id": "2b7d1860-b8d4-44d1-8548-be847b925c74",
		"name": "GerbilManager",
		"schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json",
		"_exporter_id": "19567620"
	},
	"item": [
		{
			"name": "Gerbils",
			"item": [
				{
					"name": "Get All Gerbil",
					"protocolProfileBehavior": {
						"strictSSL": false
					},
					"request": {
						"method": "GET",
						"header": [],
						"url": {
							"raw": "{{base}}/Gerbils",
							"host": [
								"{{base}}"
							],
							"path": [
								"Gerbils"
							]
						}
					},
					"response": []
				},
				{
					"name": "Post random Gerbil",
					"protocolProfileBehavior": {
						"disabledSystemHeaders": {
							"content-type": true
						}
					},
					"request": {
						"method": "POST",
						"header": [
							{
								"key": "Content-Type",
								"value": "application/json",
								"type": "text"
							}
						],
						"body": {
							"mode": "raw",
							"raw": "{\r\n    \"name\": \"{{$randomFirstName}}\",\r\n    \"gender\": {{randomGender}}\r\n}",
							"options": {
								"raw": {
									"language": "json"
								}
							}
						},
						"url": {
							"raw": "{{base}}/Gerbils",
							"host": [
								"{{base}}"
							],
							"path": [
								"Gerbils"
							]
						}
					},
					"response": []
				}
			]
		}
	],
	"event": [
		{
			"listen": "prerequest",
			"script": {
				"type": "text/javascript",
				"exec": [
					"pm.globals.set('randomGender', Math.floor(Math.random() * 2)+1);"
				]
			}
		},
		{
			"listen": "test",
			"script": {
				"type": "text/javascript",
				"exec": [
					""
				]
			}
		}
	],
	"variable": [
		{
			"key": "base_url",
			"value": "https://localhost",
			"type": "string"
		},
		{
			"key": "portDebug",
			"value": "7191",
			"type": "string"
		},
		{
			"key": "portProductive",
			"value": "80",
			"type": "string"
		},
		{
			"key": "rootD",
			"value": "http://localhost",
			"type": "string"
		},
		{
			"key": "rootR",
			"value": "http://localhost",
			"type": "string"
		},
		{
			"key": "base",
			"value": "{{base_url}}:{{portDebug}}",
			"type": "string"
		}
	]
}